Skip to main content
`Ctrl`+`K`

# MatPropagateSymmetryOptions

Propagates symmetry options set on a matrix to another matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPropagateSymmetryOptions(Mat A, Mat B)

Not Collective

## Input Parameters

- A - the matrix we wish to propagate options from

- B - the matrix we wish to propagate options to

## Note

Propagates the options associated to `MAT_SYMMETRY_ETERNAL`, `MAT_STRUCTURALLY_SYMMETRIC`, `MAT_HERMITIAN`, `MAT_SPD`, `MAT_SYMMETRIC`, and `MAT_STRUCTURAL_SYMMETRY_ETERNAL`

## See Also

Matrices, `Mat`, `MatSetOption()`, `MatIsSymmetricKnown()`, `MatIsSPDKnown()`, `MatIsHermitianKnown()`, `MatIsStructurallySymmetricKnown()`

## Level

beginner

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages